# DefaultProxy

#### new Cesium.DefaultProxy(proxy)
Core/DefaultProxy.js 14

  A simple proxy that appends the desired resource as the sole query parameter to the given proxy URL.

  Name | Type | Description
  --- | --- | ---
  `proxy` | String | The proxy URL that will be used to requests all resources.

### Methods

#### getURL(resource) → String
Core/DefaultProxy.js 24

  Get the final URL to use to request a given resource.

  Name | Type | Description
  --- | --- | ---
  `resource` | String | The resource to request.

  ##### Returns:

  proxied resource